<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns="http://www.w3.org/1999/xhtml" template="//layout/template.xhtml">
    <ui:define name="body">
        <h1>#{messages['gazelle.dds.statistics']}</h1>
        <h:form id="globalform">
            #{statisticManager.init()}

            <gri:tabPanel withBorder="true">
                <gri:tab id="userHistoricIp" head="#{messages['gazelle.dds.UserHistoricIp']}">
                    <f:subview id="subview_1">
                        <ui:include id="a4jIncludeForUserHistoricIp" src="/admin/userHistoricIp.xhtml"/>
                    </f:subview>
                </gri:tab>
                <gri:tab id="UserIp" head="#{messages['gazelle.dds.UserIp']}">
                    <f:subview id="subview_2">
                        <ui:include id="a4jIncludeForUserIp" src="/admin/userIp.xhtml"/>
                    </f:subview>
                </gri:tab>
                <gri:tab id="WebServicesInformation" head="#{messages['gazelle.dds.OtherInformation']}">
                    <s:div id="otherDiv">
                        <ui:decorate template="/layout/panels/_panel_title_id.xhtml">
                            <ui:param name="panel_id" value="webServicesInformationPanel"/>
                            <ui:define name="panel_title">
                                <h:outputText value="#{messages['gazelle.dds.TotalNumberOfRequest']}"/>
                            </ui:define>
                            <dl class="dl-horizontal">
                                <s:decorate template="/layout/display/_data_list_item.xhtml">
                                    <ui:define name="label">#{messages['gazelle.dds.Today']}</ui:define>
                                    <h:outputText value="#{statisticManager.requestOfToday}"/>
                                </s:decorate>
                                <s:decorate template="/layout/display/_data_list_item.xhtml">
                                    <ui:define name="label">#{messages['gazelle.dds.Yesterday']}</ui:define>
                                    <h:outputText value="#{statisticManager.requestOfYesterday}"/>
                                </s:decorate>
                                <s:decorate template="/layout/display/_data_list_item.xhtml">
                                    <ui:define name="label">#{messages['gazelle.dds.thisWeek']}</ui:define>
                                    <h:outputText value="#{statisticManager.requestOfThisWeek}"/>
                                </s:decorate>
                                <s:decorate template="/layout/display/_data_list_item.xhtml">
                                    <ui:define name="label">#{messages['gazelle.dds.previousWeek']}</ui:define>
                                    <h:outputText value="#{statisticManager.requestOfPreviousWeek}"/>
                                </s:decorate>
                                <s:decorate template="/layout/display/_data_list_item.xhtml">
                                    <ui:define name="label">#{messages['gazelle.dds.thisMonth']}</ui:define>
                                    <h:outputText value="#{statisticManager.requestOfThisMonth}"/>
                                </s:decorate>
                                <s:decorate template="/layout/display/_data_list_item.xhtml">
                                    <ui:define name="label">#{messages['gazelle.dds.previousMonth']}</ui:define>
                                    <h:outputText value="#{statisticManager.requestOfPreviousMonth}"/>
                                </s:decorate>
                                <s:decorate template="/layout/display/_data_list_item.xhtml">
                                    <ui:define name="label">#{messages['gazelle.dds.thisYear']}</ui:define>
                                    <h:outputText value="#{statisticManager.requestOfThisYear}"/>
                                </s:decorate>
                                <s:decorate template="/layout/display/_data_list_item.xhtml">
                                    <ui:define name="label">#{messages['gazelle.dds.previousYear']}</ui:define>
                                    <h:outputText value="#{statisticManager.requestOfPreviousYear}"/>
                                </s:decorate>
                                <s:decorate template="/layout/display/_data_list_item.xhtml">
                                    <ui:define name="label">#{messages['gazelle.dds.ever']}</ui:define>
                                    <h:outputText value="#{statisticManager.requestSinceTheBegining}"/>
                                </s:decorate>
                            </dl>
                        </ui:decorate>

                        <f:subview id="subview_3">
                            <ui:include id="a4jIncludeForWsInformation" src="/admin/wsInformation.xhtml"/>
                        </f:subview>
                    </s:div>
                </gri:tab>
            </gri:tabPanel>
        </h:form>

        <h:form id="addForm">
            <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
                <ui:param name="popup_id" value="addWS"/>
                <ui:define name="popup_title">#{messages['net.ihe.gazelle.maven.AddWebService']}</ui:define>
                <s:div id="addDiv">
                    <s:decorate template="/layout/form/_edit.xhtml">
                        <ui:param name="id" value="wsNameInput"/>
                        <ui:define name="label">#{messages['gazelle.dds.WebServices_2']}</ui:define>
                        <h:inputText id="wsNameInput" value="#{webServicesInformationManager.webService.wsName}"
                                     styleClass="form-control" required="true">
                            <a4j:ajax event="blur" render="addDiv" execute="@this"/>
                        </h:inputText>
                    </s:decorate>
                    <s:decorate template="/layout/form/_edit.xhtml">
                        <ui:param name="id" value="requestMaximumNumberInput"/>
                        <ui:define name="label">#{messages['gazelle.dds.RequestMaximumNumber']}</ui:define>
                        <h:inputText id="requestMaximumNumberInput"
                                     value="#{webServicesInformationManager.webService.requestMaximumNumber}"
                                     styleClass="form-control" required="true">
                            <a4j:ajax event="blur" render="addDiv" execute="@this"/>
                        </h:inputText>
                    </s:decorate>
                    <s:decorate template="/layout/form/_edit.xhtml">
                        <ui:param name="id" value="wsURLInput"/>
                        <ui:define name="label">#{messages['gazelle.dds.WsURL']}</ui:define>
                        <h:inputText id="wsURLInput" value="#{webServicesInformationManager.webService.wsURL}"
                                     styleClass="form-control" required="true">
                            <a4j:ajax event="blur" render="addDiv" execute="@this"/>
                        </h:inputText>
                    </s:decorate>
                </s:div>
                <ui:define name="popup_footer">
                    <button type="button" class="gzl-btn" data-dismiss="modal">
                        #{messages['net.ihe.gazelle.maven.Cancel']}
                    </button>
                    <a4j:commandButton value="#{messages['net.ihe.gazelle.maven.SaveWebService']}"
                                       styleClass="gzl-btn-green"
                                       actionListener="#{webServicesInformationManager.addWebServicesInformation()}"
                                       onclick="jq162('#addWS').modal('hide');"
                                       render="otherDiv"/>
                </ui:define>
            </ui:decorate>
        </h:form>
        <h:form id="editForm">
            <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
                <ui:param name="popup_id" value="editWS"/>
                <ui:define name="popup_title">#{messages['net.ihe.gazelle.maven.EditWebService']}</ui:define>
                <s:div id="editDiv" styleClass="form-horizontal">
                    <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                        <ui:param name="id" value="wsNameInput"/>
                        <ui:define name="label">#{messages['gazelle.dds.WebServices_2']}</ui:define>
                        <h:inputText id="wsNameInput" value="#{webServicesInformationManager.selectedWS.wsName}"
                                     styleClass="form-control"/>
                    </s:decorate>
                    <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                        <ui:param name="id" value="requestMaximumNumberInput"/>
                        <ui:define name="label">#{messages['gazelle.dds.RequestMaximumNumber']}</ui:define>
                        <h:inputText id="requestMaximumNumberInput"
                                     value="#{webServicesInformationManager.selectedWS.requestMaximumNumber}"
                                     styleClass="form-control"/>
                    </s:decorate>
                    <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                        <ui:param name="id" value="wsURLInput"/>
                        <ui:define name="label">#{messages['gazelle.dds.WsURL']}</ui:define>
                        <h:inputText id="wsURLInput" value="#{webServicesInformationManager.selectedWS.wsURL}"
                                     styleClass="form-control"/>
                    </s:decorate>
                    <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                        <ui:param name="id" value="wsPriorityInput"/>
                        <ui:define name="label">#{messages['Priority']}</ui:define>
                        <h:inputText id="wsPriorityInput" value="#{webServicesInformationManager.selectedWS.wsPriority}"
                                     styleClass="form-control"/>
                    </s:decorate>
                </s:div>
                <ui:define name="popup_footer">
                    <button type="button" class="gzl-btn" data-dismiss="modal">
                        #{messages['net.ihe.gazelle.maven.Cancel']}
                    </button>
                    <a4j:commandButton value="#{messages['net.ihe.gazelle.maven.SaveWebService']}"
                                       styleClass="gzl-btn-green"
                                       actionListener="#{webServicesInformationManager.mergeWebServicesInformation()}"
                                       onclick="jq162('#editWS').modal('hide');"
                                       render="otherDiv"/>
                </ui:define>
            </ui:decorate>
        </h:form>
        <h:form id="delForm">
            <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
                <ui:param name="popup_id" value="delWS"/>
                <ui:define name="popup_title">#{messages['net.ihe.gazelle.maven.RemoveWebService']}</ui:define>
                <s:div id="delDiv" styleClass="form-horizontal">
                    <h:outputText
                            value="#{messages['net.ihe.gazelle.maven.DoYouWantToDelete']} #{webServicesInformationManager.selectedWS.wsName}"/>
                </s:div>
                <ui:define name="popup_footer">
                    <button type="button" class="gzl-btn" data-dismiss="modal">
                        #{messages['net.ihe.gazelle.maven.Cancel']}
                    </button>
                    <a4j:commandButton value="#{messages['net.ihe.gazelle.maven.DeleteWebService']}"
                                       styleClass="gzl-btn-red"
                                       actionListener="#{webServicesInformationManager.deleteWebServicesInformation()}"
                                       onclick="jq162('#delWS').modal('hide');"
                                       render="otherDiv"/>
                </ui:define>
            </ui:decorate>
        </h:form>
    </ui:define>
</ui:composition>
